Loading...
Searching...
No Matches
singleton_base.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "file_error_numbers.h"`
`#include "nullptr.h"`

Go to the source code of this file.

## Classes

class | etl::singleton_base_exception
| Base singleton error exception. More...
class | etl::singleton_base_not_created
| Singleton not created error exception. More...
class | etl::singleton_base_already_created
| Singleton instance already exists. More...
class | etl::singleton_base< T >

## Namespaces

namespace | etl

## Variables

template<class T>
T * | etl::singleton_base< T >::m_self = ETL_NULLPTR
| No violation of one definition rule as this is a class template.